List batches posted on HyperEVM
curl --request GET \
--url https://api.hypedexer.com/elysium/testnet/batchesimport requests
url = "https://api.hypedexer.com/elysium/testnet/batches"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hypedexer.com/elysium/testnet/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"batch_number": 123,
"parent_block": 123,
"parent_time": "2023-11-07T05:31:56Z",
"parent_tx_hash": "<string>",
"after_delayed_messages_read": 123,
"data_location": "<string>",
"first_block": 123,
"last_block": 123,
"block_count": 123,
"last_block_time": "2023-11-07T05:31:56Z",
"posting_delay_s": 123
}
],
"execution_time_ms": 123,
"has_more": true
}Batches
List batches posted on HyperEVM
Sequencer batches posted to the SequencerInbox on HyperEVM testnet, with the Elysium block range they
contain and posting_delay_s (HyperEVM posting time minus the time of the batch’s last block).
GET
/
elysium
/
testnet
/
batches
List batches posted on HyperEVM
Headers
Query Parameters
Start time (UTC), on the HyperEVM posting time
End time (UTC), on the HyperEVM posting time
Required range:
1 <= x <= 1000Required range:
x >= 0